# -*- mode: python ; coding: utf-8 -*-


block_cipher = None


a = Analysis(
    ['prototype\\__main__.py'],
    pathex=['D:\\personal projects\\Python\\Prototype\\prototype\\__main__.py'],
    binaries=[],
    datas=[],
    hiddenimports=['package1'],
    hookspath=[],
    hooksconfig={},
    runtime_hooks=[],
    excludes=[],
    win_no_prefer_redirects=False,
    win_private_assemblies=False,
    cipher=block_cipher,
    noarchive=False,
)

a.datas += [('..\\resource\imgs\chromeIcon.png','D:\\personal projects\\Python\\Prototype\\prototype\\resource\\imgs\\chromeIcon.png', "DATA")]
a.datas += [('..\\resource\imgs\steamIcon.png','D:\\personal projects\\Python\\Prototype\\prototype\\resource\\imgs\\steamIcon.png', "DATA")]


pyz = PYZ(a.pure, a.zipped_data, cipher=block_cipher)

exe = EXE(
    pyz,
    a.scripts,
    a.binaries,
    a.zipfiles,
    a.datas,
    [],
    name='__main__',
    debug=False,
    bootloader_ignore_signals=False,
    strip=False,
    upx=True,
    upx_exclude=[],
    runtime_tmpdir=None,
    console=True,
    disable_windowed_traceback=False,
    argv_emulation=False,
    target_arch=None,
    codesign_identity=None,
    entitlements_file=None,
)
